<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="generator" content="Docutils 0.21.2: https://docutils.sourceforge.io/" />
<title>githelp</title>
<link rel="stylesheet" href="../style.css" type="text/css" />
</head>
<body>
<div class="document" id="githelp">
<span id="ext-githelp"></span>
<h1 class="title">githelp</h1>

<div class="contents htmlonly topic" id="contents">
<p class="topic-title"><a class="reference internal" href="#top">Contents</a></p>
<ul class="simple">
<li><a class="reference internal" href="#description" id="toc-entry-1">Description</a></li>
<li><a class="reference internal" href="#commands" id="toc-entry-2">Commands</a><ul>
<li><a class="reference internal" href="#help" id="toc-entry-3">Help</a></li>
</ul>
</li>
</ul>
</div>
<p>try mapping git commands to Mercurial commands</p>
<div class="section" id="description">
<h1><a class="toc-backref" href="#contents">Description</a></h1>
<p>Tries to map a given git command to a Mercurial command:</p>
<blockquote>
$ hg githelp -- git checkout master
hg update master</blockquote>
<p>If an unknown command or parameter combination is detected, an error is
produced.</p>
</div>
<div class="section" id="commands">
<h1><a class="toc-backref" href="#contents">Commands</a></h1>
<div class="section" id="help">
<h2><a class="toc-backref" href="#contents">Help</a></h2>
<div class="section" id="githelp-1">
<h3>githelp</h3>
<p>suggests the Mercurial equivalent of the given git command:</p>
<pre class="literal-block">
hg githelp
</pre>
<p>Usage: hg githelp -- &lt;git command&gt;</p>
<!--  -->
<blockquote>
aliases: git</blockquote>
</div>
</div>
</div>
</div>
</body>
</html>
